## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/flows/{flowId}/slotfillers/{slotFillerId}

### Try it

Get a Slot Filler

#### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId} \
  --header 'X-API-Key: <api-key>'
```

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

---

### Response Status Codes

- 200  
- 400  
- 401  
- 402  
- 403  
- 404  
- 405  
- 409  
- 413  
- 500  
- 501  
- 502  
- 503  
- 504

---

### Example Response Structure

```json
{
  "name": "<string>",
  "type": "age",
  "usePositiveOnly": true,
  "storeResultInContext": true,
  "contextKey": "<string>",
  "storeInContactProfile": true,
  "profileKey": "<string>",
  "storeDetailedResults": true,
  "skipIfResultInContext": true,
  "additionalValidation": "<string>",
  "resultLocation": "<string>",
  "regex": "<string>",
  "slot": "<string>",
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Responses

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

---

### Authorizations

#### API Keys

- X-API-Key

**Type**: header  
**Required**: True  
**Description**: Supply the API Key in the HTTP-Header

### Headers

- Accept  
  - **Type**: enum<string>  
  - **Description**: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

---

### Path Parameters

- flowId
  - **Type**: string  
  - **Required**: True  
  - **Description**: The unique identifier for the Flow.

- slotFillerId
  - **Type**: string  
  - **Required**: True  
  - **Description**: The unique identifier for the Slot Filler.

---

### Response

#### 200

**Content-Type**: application/json  
**Description**: Returns SlotFiller Object.
